Skip to main content
Search the affiliate merchant catalog by name or keyword. Use this endpoint to find specific merchants or filter merchants by characteristics before browsing their products.

Endpoint

GET /v1/discovery/merchants/search
Requires an x-api-key header.

Query Parameters

query
string
Search query string. Min length: 1 character.
page
integer
Page number. Min: 1. Default: 1.
per_page
integer
Results per page. Min: 1, Max: 100. Default: 25.
cursor
string
Opaque pagination cursor from a previous response.

Example Request

cURL
curl "https://rewardsbot-prod.liquidrewardsapi.com/v1/discovery/merchants/search?query=nike&per_page=10" \
  -H "x-api-key: YOUR_API_KEY"

Response

Same shape as GET /v1/discovery/merchants — returns AffiliateDiscoveryMerchantListResponse.
query
string
The search query string.
page_index
integer
Current page index.
page_size
integer
Page size.
items
AffiliateDiscoveryMerchantListItem[]
Array of matching merchant objects. See List Affiliate Merchants for the full field reference.
next_cursor
string | null
Cursor for the next page. null when no more results remain.
expires_at
string | null
Result set expiry timestamp.

Error Responses

Status CodeDescription
403 ForbiddenMissing API key
503 Service UnavailableMerchant search not configured
422 Unprocessable EntityValidation error